Extending Qt Creator Manual | JsonSummaryPage

Extending Qt Creator Manual 4.5.2

# JsonSummaryPage Class

(ProjectExplorer::JsonSummaryPage)

Inherits: | ProjectExplorer::Internal::ProjectWizardPage

- List of all members, including inherited members

## Public Functions

| JsonSummaryPage(QWidget *parent = nullptr)
void | addToProject(const JsonWizard::GeneratorFiles &files)
void | cleanupPage() override
void | initializePage() override
void | setHideProjectUiValue(const QVariant &hideProjectUiValue)
void | summarySettingsHaveChanged()
void | triggerCommit(const JsonWizard::GeneratorFiles &files)
bool | validatePage() override

- 10 public functions inherited from ProjectExplorer::Internal::ProjectWizardPage
- 4 public functions inherited from Utils::WizardPage

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::Internal::ProjectWizardPage
- 1 signal inherited from Utils::WizardPage

## Member Function Documentation

### JsonSummaryPage::JsonSummaryPage(QWidget *parent = nullptr)

Default constructs an instance of JsonSummaryPage.

### void JsonSummaryPage::addToProject(const JsonWizard::GeneratorFiles &files)

### void JsonSummaryPage::cleanupPage()

### void JsonSummaryPage::initializePage()

### void JsonSummaryPage::setHideProjectUiValue(const QVariant &hideProjectUiValue)

### void JsonSummaryPage::summarySettingsHaveChanged()

### void JsonSummaryPage::triggerCommit(const JsonWizard::GeneratorFiles &files)

### bool JsonSummaryPage::validatePage()